import React, { Component, Fragment } from 'react';
import { Link } from 'react-router-dom';
import './index.css';

class MobMenu extends Component {
    state = {
        showMenu: false,
    };

    renderDropMenu = () => {
        const { options } = this.props;
        const listDropMenu = options.map(menu =>
            <li className='mob-menu__li' key={menu.id}>
                <Link
                    className='mob-menu__link'
                    onClick={this.handleLinkClick}
                    to={menu.path}>
                  {menu.text}
                </Link>
            </li>
        );
        return (
            <menu className='mob-menu'>
                <ul className='mob-menu__ul'>
                    { listDropMenu }
                </ul>
            </menu>
        )
    };

    renderButton = () => {
        const { showMenu } = this.state;
        return (
            <button
                onClick={this.handleButtonClick}
                className={`mob-btn ${showMenu ? 'mob-btn--clicked' : ''}`}>
                <span className='mob-btn-line'>&nbsp;</span>
            </button>
        )
    };

    handleButtonClick = (e) => {
        e.preventDefault();
        this.setState({
            showMenu: !this.state.showMenu
        })
    };

    handleLinkClick = () => {
        this.setState({
            showMenu: false
        })
    };

    render() {
        const { showMenu } = this.state;
        return (
            <Fragment>
                { this.renderButton() }
                { showMenu ? this.renderDropMenu() : null }
            </Fragment>
        )
    }
}

export default MobMenu;
